Subject: bug#41848: Surfing with Tor

From: "Antonio T. sagitter" <[email-masked]>
Date: Mon, 15 Jun 2020 12:13:39 +0200

Hi Mark.

I'm using IceCat 68.9.0 and Onion-0.1.8 button bundled into IceCat's
source archive, on Fedora 32.

I never noted this bug, sincerely.

On 15/06/20 07:24, Mark H Weaver wrote:
> Hi Antonio,
>
>> Please, can anyone else confirm this bug on IceCat?
>>
>> https://bugzilla.redhat.com/show_bug.cgi?id=1842171
> Thank you for bringing this to our attention.
>
> It appears to be a bug in the "Onion Browser Button" add-on by Bentham
> <https://addons.mozilla.org/en-US/firefox/addon/tortm-browser-button/>
> when used with Firefox ESR 68.
>
> I was able to reproduce this problem both in the IceCat 68.9 preview on
> Guix, and also on a Debian 9 system with Debian's stock firefox-esr
> (68.9) package and the Onion Browser Button add-on installed via
> addons.mozilla.org.
>
> I'll note that this bug report applies to the 68.8 and 68.9 previews of
> IceCat, which are the only IceCat previews to use the latest release
> (0.1.8) of the Onion Browser Button.  Earlier IceCat previews used
> version 0.1.7.  It was updated in the following commit:
>
>   https://git.savannah.gnu.org/cgit/gnuzilla.git/commit/?h=68&id=3cb3e92e55c4f22aaa7e520fea1a1d8fdbef72b4
>
> I'm currently building a version of IceCat 68.9 with the above commit
> reverted, to see if the bug also exists in version 0.1.7 of the Onion
> Browser Button.
>
> To be continued...
>
>      Regards,
>        Mark
>
>
>
-- 
---
Antonio Trande
Fedora Project
mailto: [email-masked]
GPG key: 0x7B30EE04E576AA84
GPG key server: https://keys.openpgp.org/